const u = (o, s = !1) => (s && o === 0 && (o = 12), o.toLocaleString("en-US", {
  minimumIntegerDigits: 2,
  useGrouping: !1
})), p = (o, s = !1) => {
  const t = [];
  for (let n = 0; n <= 23; n++) {
    const r = s ? n < 12 ? " AM" : " PM" : "";
    let e = u(n, s);
    switch (s && parseInt(e) > 12 ? e = u(parseInt(e) - 12, s) : e = u(e, s), t.push(`${e}:00${r}`), o) {
      case "half":
        t.push(`${e}:30${r}`);
        break;
      case "quarter":
        t.push(`${e}:15${r}`), t.push(`${e}:30${r}`), t.push(`${e}:45${r}`), n === 23 && t.push(`${e}:59${r}`);
        break;
      default:
        break;
    }
  }
  return t;
};
export {
  p as generateHoursList
};
